Subject: Re: [bug#50960] [PATCH 00/10] Add 'guix shell' to subsume 'guix environment'

From: zimoun <[email-masked]>
Date: Mon, 04 Oct 2021 08:56:11 +0200

Hi,

All looks good to me; from the surface, I have not looked at the
details.

On Sat, 02 Oct 2021 at 12:21, Ludovic Courtès <[email-masked]> wrote:

>   2. ‘guix shell’, without arguments, loads ‘guix.scm’ or ‘manifest.scm’
>      from the current directory or one of its ancestors.

Personally, I do not like this default behaviour because explicit is
better than implicit and in the face of ambiguity, refuse the temptation
to guess; as any good Zen says. :-)

Idem with the proposal ’channels.scm’ and time-machine.

> As for deprecation, I think there’s no rush.  I imagine there could be
> several phases, like: initially we only mention deprecation in the manual,
> later on ‘guix environment’ starts emitting a warning, and later (I guess
> at least two years later, probably more) we ask ourselves whether to
> remove ‘guix environment’.  At this point keeping it doesn’t cost us much.

Concretely, I propose this plan:

 - v1.4: mention deprecation in the manual and remove from “guix help”
 - v1.5: emit a warning
 - v1.6: remove the command

Well, I do not see why the removal should be an issue, because there is
“guix time-machine”.  To me, the real issue is to let people knowing
such change.

Moreover, I am doubtful that the exact same command-line from v1.0 is
producing the same result with v1.3 for instance.  Not because of Guix
but because of the underlying packages.

For example, <http://issues.guix.gnu.org/47097>.

All the best,
simon